%define upstream_name    Bencode
%define upstream_version 1.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    BitTorrent serialisation format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module implements the BitTorrent _bencode_ serialisation format as
described in the http://www.bittorrent.org/protocol.html manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml LICENSE README META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Oct 19 2014 umeabot <umeabot> 1.400.0-3.mga5
+ Revision: 788503
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.400.0-2.mga5
+ Revision: 746795
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.400.0-1.mga5
+ Revision: 733717
- imported package perl-Bencode


* Wed Oct 01 2014 Thierry Vignaud <tv@mageia.org> 1.400.0-1.mga5
- initial mageia release, generated with cpan2dist
